MINIMAC4(1)

NAME
minimac4 - Fast Imputation Based on State Space Reduction HMM

DESCRIPTION

Minimac4 is a lower memory and more computationally efficient implementation of "minimac2/3".

It is an algorithm for genotypic imputation that works on phased genotypes (say from MaCH). Minimac4 is designed to handle very large reference panels in a more computationally efficient way with no loss of accuracy. This algorithm analyzes only the unique sets of haplotypes in small genomic segments, thereby saving on time-complexity, computational memory but no loss in degree of accuracy.

OPTIONS

  Reference Haplotypes

--refHaps
    M3VCF file containing haplotype data for reference panel.

--passOnly
    This option only imports variants with FILTER = PASS.

--rsid
    This option only imports RS ID of variants from ID column (if available).

  GWAS Haplotypes

--haps
    File containing haplotype data for target (gwas) samples. Must be VCF file. Zipped versions allowed.

  Output Parameters

--prefix
    Prefix for all output files generated. By default: [Minimac4.Output]

--processReference
    This option will only convert an input VCF file to M3VCF format (currently de-activated in minimac4). If this option is ON, no imputation would be performed.

--nobgzip
    If ON, output files will NOT be gzipped.

--format
    Specifies which fields to output for the FORMAT field in output VCF file. Available handles: GT,DS,HDS,GP [Default: GT,DS].

--allTypedSites
    If ON, sites available ONLY in GWAS panel will also be output [Default: OFF].

  Subset Parameters

--chr
    Chromosome number for which to carry out imputation.

--start
    Start position for imputation by chunking.

--end
    End position for imputation by chunking.

--window
    Length of buffer region on either side of --start and --end.

  Other Parameters

--log
    If ON, log will be written to $prefix.logfile.

--help
    If ON, detailed help on options and usage.

--cpus
    Number of cpus for parallel computing. Works only with Minimac4-omp.

SEE ALSO
https://genome.sph.umich.edu/wiki/Minimac4

COPYRIGHT
Copyright © 2014-2018 Sayantan Das, Christian Fuchsberger, David Hinds Mary Kate Wing, Goncalo Abecasis